public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Patrick Lauer" <patrick@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/elasticsearch-py/
Date: Wed, 17 May 2017 16:37:36 +0000 (UTC)	[thread overview]
Message-ID: <1495038984.13f20cab547ee511c75dd331eb52a949d1b1a441.patrick@gentoo> (raw)

commit:     13f20cab547ee511c75dd331eb52a949d1b1a441
Author:     Patrick Lauer <patrick <AT> gentoo <DOT> org>
AuthorDate: Wed May 17 16:14:18 2017 +0000
Commit:     Patrick Lauer <patrick <AT> gentoo <DOT> org>
CommitDate: Wed May 17 16:36:24 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=13f20cab

dev-python/elasticsearch-py: Bump, fix maintainer

Package-Manager: Portage-2.3.5, Repoman-2.3.2

 dev-python/elasticsearch-py/Manifest               |   1 +
 .../elasticsearch-py/elasticsearch-py-5.3.0.ebuild | 100 +++++++++++++++++++++
 dev-python/elasticsearch-py/metadata.xml           |   8 +-
 3 files changed, 103 insertions(+), 6 deletions(-)

diff --git a/dev-python/elasticsearch-py/Manifest b/dev-python/elasticsearch-py/Manifest
index fe895e449f3..9d20009448b 100644
--- a/dev-python/elasticsearch-py/Manifest
+++ b/dev-python/elasticsearch-py/Manifest
@@ -8,3 +8,4 @@ DIST elasticsearch-py-2.4.1.tar.gz 77420 SHA256 673cdc861d2fd0cd9d1de5be80239dab
 DIST elasticsearch-py-5.0.1.tar.gz 79648 SHA256 b4e17253b950f550c8fb53a68f431abc0a67131154aecd3a1dff19e955c3345c SHA512 a10483c853b3b1b6a9a250ceb51738b5351764cde18140b0b754f6563aa5ed8d3095063e85524968adc0faeb846acebedeeab7a29533e3025db698db228823d9 WHIRLPOOL 109890c3c6a408a700e9d03265308b3d33910a8883e2ec48657c0b2f0c0bb48349067ad19877d76f27945b5712e373db669bda7f74128e077198853f18397a5f
 DIST elasticsearch-py-5.1.0.tar.gz 79933 SHA256 6d2c06607dd1c27842e25552878c2d45a345dc27946e8819588bcacedbe3c5f8 SHA512 a8b34c767247c906e7b602161adb94614b17f293e350908b375ae9c1a4f835914b3f4081cab20f958976c8b355189f1b4d3afa88dc66277773cf944fa7bbaccb WHIRLPOOL 9c1b8635220f24e4954d3464facff32a8d71e8aaef05062a8bc9e9eca369b179a9b50309558f1a199abb97bbadfe80e5344038015a54477664a9c8ea1e5ca500
 DIST elasticsearch-py-5.2.0.tar.gz 80317 SHA256 47725bfb394d40198ef8cdf254f2ded87970c87282e1b09510de0406ebbf5476 SHA512 df03879c981361b55f0c12ad7bbc9a123b49d9a6b351aa18840858f4ac43b9ef11d8a9a8b3200e295e461438254bf95c4f233a50752f917aa31392be5cd3b7fc WHIRLPOOL 7ed9f9af2d4c4cc4011454f3e9bfa8121e375d017d2a23ef3420cb3b02c054a9976438eaa4cdd3cdeda39602d14941376ec2da65b839858229cfd9274893f6d8
+DIST elasticsearch-py-5.3.0.tar.gz 80767 SHA256 f0b8a33a81b12a5a1b2bb603093a63a39e9e1ca116e56f85d18c02c2e93d6173 SHA512 2479b5be237f4ba4ca87997fafa92041fba1fe49658117515d70ae5d551e4da11d4556b3ed23f7b7c8907606b6b1f76b024a0293fd58072cf9bf650a902e5f06 WHIRLPOOL 4b17838d11d33edb389fc864f7aba0e07f4c766bc5197d19e029c05a304b2e9ac1b42d76ce4948b51e093bfbd90b1d8366725d48f6546b783b32afed65afeb64

diff --git a/dev-python/elasticsearch-py/elasticsearch-py-5.3.0.ebuild b/dev-python/elasticsearch-py/elasticsearch-py-5.3.0.ebuild
new file mode 100644
index 00000000000..29a8b47150c
--- /dev/null
+++ b/dev-python/elasticsearch-py/elasticsearch-py-5.3.0.ebuild
@@ -0,0 +1,100 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} pypy )
+
+ES_VERSION="5.2.1"
+
+inherit distutils-r1
+
+# tests fail in chroot
+# https://github.com/elastic/elasticsearch/issues/12018
+RESTRICT="test"
+# that's now the second time I've disabled this.
+# Why am I as the maintainer ignored?
+
+MY_PN=${PN/-py/}
+
+DESCRIPTION="official Python low-level client for Elasticsearch"
+HOMEPAGE="http://elasticsearch-py.rtfd.org/"
+SRC_URI="https://github.com/elasticsearch/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz
+	test? ( https://artifacts.elastic.co/downloads/elasticsearch/elasticsearch-${ES_VERSION}.tar.gz )"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="examples doc test"
+
+RDEPEND=">=dev-python/urllib3-1.8[${PYTHON_USEDEP}]
+	<dev-python/urllib3-2.0[${PYTHON_USEDEP}]"
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+	>=dev-python/sphinx-1.3.1-r1[${PYTHON_USEDEP}]
+	test? ( ${RDEPEND}
+		>=dev-python/requests-1.0.0[${PYTHON_USEDEP}]
+		<dev-python/requests-3.0.0[${PYTHON_USEDEP}]
+		dev-python/nose[${PYTHON_USEDEP}]
+		dev-python/coverage[${PYTHON_USEDEP}]
+		dev-python/mock[${PYTHON_USEDEP}]
+		dev-python/pretty-yaml[${PYTHON_USEDEP}]
+		dev-python/nosexcover[${PYTHON_USEDEP}]
+		virtual/jre:1.8 )"
+
+# FEATURES="test -usersandbox" emerge dev-python/elasticsearch-py
+python_test() {
+	ES="${WORKDIR}/elasticsearch-${ES_VERSION}"
+	ES_PORT="25124"
+	ES_INSTANCE="gentoo-es-py-test"
+	ES_LOG="${ES}/logs/${ES_INSTANCE}.log"
+	PID="${ES}/elasticsearch.pid"
+
+	# run Elasticsearch instance on custom port
+	sed -i "s/#http.port: 9200/http.port: ${ES_PORT}/g; \
+		s/#cluster.name: my-application/cluster.name: ${ES_INSTANCE}/g" \
+		"${ES}/config/elasticsearch.yml" || die
+
+	# start local instance of elasticsearch
+	"${ES}"/bin/elasticsearch -d -p "${PID}" -Edefault.path.repo=/ || die
+
+	local i
+	local es_started=0
+	for i in {1..15}; do
+		grep -q "started" ${ES_LOG} 2> /dev/null
+		if [[ $? -eq 0 ]]; then
+			einfo "Elasticsearch started"
+			es_started=1
+			eend 0
+			break
+		elif grep -q 'BindException\[Address already in use\]' "${ES_LOG}" 2>/dev/null; then
+			eend 1
+			eerror "Elasticsearch already running"
+			die "Cannot start Elasticsearch for tests"
+		else
+			einfo "Waiting for Elasticsearch"
+			eend 1
+			sleep 2
+			continue
+		fi
+	done
+
+	[[ $es_started -eq 0 ]] && die "Elasticsearch failed to start"
+
+	export TEST_ES_SERVER="localhost:${ES_PORT}"
+	esetup.py test || die
+
+	pkill -F ${PID}
+}
+
+python_compile_all() {
+	cd docs || die
+	emake man $(usex doc html "")
+}
+
+python_install_all() {
+	use doc && HTML_DOCS=( docs/_build/html/. )
+	use examples && dodoc -r example
+	doman docs/_build/man/*
+	distutils-r1_python_install_all
+}

diff --git a/dev-python/elasticsearch-py/metadata.xml b/dev-python/elasticsearch-py/metadata.xml
index a8403705d71..720e5a643ae 100644
--- a/dev-python/elasticsearch-py/metadata.xml
+++ b/dev-python/elasticsearch-py/metadata.xml
@@ -2,17 +2,13 @@
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
 <pkgmetadata>
   <maintainer type="person">
-    <email>patrick@gentoo.org</email>
-    <name>Patrick Lauer</name>
+    <email>gokturk@gentoo.org</email>
+    <name>Göktürk Yüksek</name>
   </maintainer>
   <maintainer type="person">
     <email>hydrapolic@gmail.com</email>
     <name>Tomáš Mózes</name>
   </maintainer>
-  <maintainer type="person">
-    <email>erkiferenc@gmail.com</email>
-    <name>Ferenc Erki</name>
-  </maintainer>
   <maintainer type="project">
     <email>proxy-maint@gentoo.org</email>
     <name>Proxy Maintainers</name>


             reply	other threads:[~2017-05-17 16:37 UTC|newest]

Thread overview: 106+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-05-17 16:37 Patrick Lauer [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-07-24 18:48 [gentoo-commits] repo/gentoo:master commit in: dev-python/elasticsearch-py/ Michał Górny
2023-07-24 18:48 Michał Górny
2023-07-24 18:48 Michał Górny
2023-07-09  4:35 Sam James
2023-07-09  4:35 Sam James
2023-06-20 12:02 Jakov Smolić
2023-06-11  8:49 Joonas Niilola
2023-06-11  8:49 Joonas Niilola
2023-05-02 17:07 Joonas Niilola
2023-05-02 17:07 Joonas Niilola
2023-05-02 17:07 Joonas Niilola
2023-04-05 15:58 Michał Górny
2023-04-05 14:27 Arthur Zamarin
2023-04-05 14:27 Arthur Zamarin
2023-02-18  7:16 Sam James
2023-02-18  7:16 Sam James
2022-09-26  6:15 Michał Górny
2022-09-25 23:58 Sam James
2022-09-25 23:58 Sam James
2022-08-25 19:25 Arthur Zamarin
2021-11-05 19:16 Michał Górny
2021-11-05 17:33 Sam James
2021-11-05 14:57 Jakov Smolić
2021-10-10 23:45 Sam James
2021-10-05 13:37 Joonas Niilola
2021-10-05 13:37 Joonas Niilola
2021-10-02 12:46 Joonas Niilola
2021-04-11 11:23 Michał Górny
2021-04-11 11:11 Sam James
2021-04-11 11:06 Sam James
2021-03-09  9:44 Sam James
2021-02-21 13:20 David Seifert
2020-12-11 14:51 Michał Górny
2020-12-10 19:31 Thomas Deutschmann
2020-06-28 20:44 Agostino Sarubbo
2020-06-28 20:27 Agostino Sarubbo
2020-06-06  2:08 Aaron Bauman
2020-04-01 14:38 Joonas Niilola
2020-03-27  8:58 Michał Górny
2020-02-05 13:00 Michał Górny
2020-01-24  6:54 Joonas Niilola
2020-01-24  6:54 Joonas Niilola
2020-01-24  6:54 Joonas Niilola
2020-01-24  6:54 Joonas Niilola
2019-10-28 14:43 Joonas Niilola
2019-10-28 14:43 Joonas Niilola
2019-08-19 17:06 Joonas Niilola
2019-08-19 17:06 Joonas Niilola
2019-08-16 13:50 Michał Górny
2018-11-17 14:27 Mikle Kolyada
2018-11-15 15:48 Thomas Deutschmann
2018-09-28 10:45 Michał Górny
2018-09-28 10:45 Michał Górny
2018-09-13 15:34 Thomas Deutschmann
2018-09-13 15:34 Thomas Deutschmann
2018-07-11 10:32 Tony Vroon
2018-07-11 10:32 Tony Vroon
2018-05-11 21:56 Patrice Clement
2018-04-11 22:47 Patrice Clement
2018-02-14 21:55 Michał Górny
2018-02-14 21:55 Michał Górny
2018-02-14 21:55 Michał Górny
2018-01-03 19:02 Michał Górny
2017-11-30 14:47 Patrice Clement
2017-11-30 14:47 Patrice Clement
2017-11-30 14:47 Patrice Clement
2017-11-06 11:41 Manuel Rüger
2017-10-29 21:08 Thomas Deutschmann
2017-05-25 10:44 Agostino Sarubbo
2017-05-24 13:27 Michał Górny
2017-05-24 13:27 Michał Górny
2017-05-19 10:52 Michał Górny
2017-05-19  9:46 Manuel Rüger
2017-05-18 22:25 Michał Górny
2017-05-15 13:49 Manuel Rüger
2017-03-16 21:57 Göktürk Yüksek
2017-03-16 21:57 Göktürk Yüksek
2017-02-10 20:25 Göktürk Yüksek
2017-02-10 20:25 Göktürk Yüksek
2016-12-27 17:38 Göktürk Yüksek
2016-12-26 11:23 Aaron Bauman
2016-11-28 11:10 Patrick Lauer
2016-10-28 19:45 Patrick Lauer
2016-10-02 12:59 Göktürk Yüksek
2016-09-02  5:26 Patrick Lauer
2016-08-30 19:07 David Seifert
2016-08-23 19:00 David Seifert
2016-08-23 19:00 David Seifert
2016-08-23 19:00 David Seifert
2016-08-23 19:00 David Seifert
2016-04-18 16:16 Ian Delaney
2016-03-18 11:08 Patrick Lauer
2016-03-17 14:27 Patrick Lauer
2016-01-13 14:10 Patrice Clement
2015-11-23  7:53 Ian Delaney
2015-11-14 16:54 Markus Meier
2015-11-11 17:10 Ian Delaney
2015-11-10 16:08 Ian Delaney
2015-11-09  9:50 Ian Delaney
2015-10-26 19:36 Justin Lecher
2015-10-26 17:43 Richard Farina
2015-10-26 14:18 Ian Delaney
2015-10-26  3:47 Ian Delaney
2015-10-19 13:32 Ian Delaney
2015-08-20  4:45 Zac Medico

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1495038984.13f20cab547ee511c75dd331eb52a949d1b1a441.patrick@gentoo \
    --to=patrick@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox